// ../../packages/core/dist/config.js
function t(e, n) {
  if (!e) throw new Error(n);
}
function p(e) {
  return "enforce" in e && t(e.enforce === "pre" || e.enforce === "post", `'enforce' must be 'pre' or 'post', was ${e.enforce}`), "if" in e && t(typeof e.if == "function", "'if' must be a function"), "nextSteps" in e && t(typeof e.nextSteps == "function", "'nextSteps' must be a function"), "knip" in e && (t(typeof e.knip == "object" && e.knip !== null, "'knip' must be an object"), "entry" in e.knip && t(Array.isArray(e.knip.entry), "'knip.entry' must be an array"), "ignoreDependencies" in e.knip && t(Array.isArray(e.knip.ignoreDependencies), "'knip.ignoreDependencies' must be an array"), "ignore" in e.knip && t(Array.isArray(e.knip.ignore), "'knip.ignore' must be an array"), "vite" in e.knip && t(typeof e.knip.vite == "boolean", "'knip.vite' must be a boolean")), e;
}

// bati.config.ts
var bati_config_default = p({
  if(meta) {
    return meta.BATI.has("aws");
  },
  nextSteps(_meta, _packageManager, { bold }) {
    return [
      {
        type: "text",
        step: `Ensure that AWS credentials are configured. Check ${bold("TODO.md")} for details`
      }
    ];
  },
  enforce: "post",
  knip: {
    entry: ["entry_aws_lambda.ts", "cdk/lib/vike-stack.ts", "tests/aws_handler.spec.ts"],
    ignore: ["cdk.out/**"],
    ignoreDependencies: ["aws-cdk", "cdk", "esbuild", "npm-run-all2"]
  }
});
export {
  bati_config_default as default
};
